package Telugu::Itrans;

use utf8;
our $VERSION = '0.03';

sub new {
	my $class = shift;
	return bless {}, $class;
}

my $re = qr/chhL\^I|kShRRI|dnyR\^I|chhLLi|shhR\^i|dnyR\^i|kShR\^i|shhRRi|chhLLI|dnyL\^i|chhR\^i|kShRRi|chhR\^I|shhL\^i|shhRRI|chhL\^i|shhR\^I|kShLLI|kShR\^I|dnyRRI|kShLLi|chhRRI|kShL\^I|dnyLLI|chhRRi|dnyL\^I|shhLLI|dnyLLi|dnyRRi|shhL\^I|kShL\^i|shhLLi|JNL\^I|khL\^I|phR\^i|thL\^i|\.nL\^i|dhL\^I|ghRRi|shRRi|thRRi|\~nL\^i|JNLLi|dhR\^I|phRRi|JNRRI|dnyii|ShRRI|ChLLI|ThR\^i|dnyaa|ThL\^i|ChLLi|ghL\^i|thLLI|ChL\^I|DhL\^i|chhuu|khR\^I|DhLLI|bhL\^i|N\^R\^I|\.nRRi|ShRRi|\.nRRI|shL\^I|shhuu|JNR\^i|phLLI|chhoo|jhR\^i|\~nLLI|\~NL\^I|khR\^i|dnyoo|ThR\^I|jhR\^I|chLLI|kShai|thR\^i|\~NLLI|ChR\^I|ShLLI|DhRRI|shLLi|dnyau|shL\^i|chRRI|ghLLi|bhRRi|thRRI|khL\^i|phR\^I|DhR\^i|\~NLLi|JNL\^i|\~nR\^i|\~nRRI|ThL\^I|chhii|DhRRi|JNRRi|jhRRI|khLLi|phL\^i|chhaa|dhRRI|ChL\^i|dhRRi|ghLLI|phLLi|jhLLi|dhLLI|bhLLI|ShL\^i|\~nRRi|dhL\^i|ChRRI|dnyai|\~nLLi|kShee|\~NL\^i|shhii|\.nR\^i|N\^R\^i|ghRRI|shhee|\~nL\^I|\.nL\^I|shRRI|DhL\^I|\~NR\^I|chR\^I|shLLI|ThRRi|khRRi|N\^RRi|shhau|bhRRI|\.nLLI|N\^RRI|\~NRRI|chLLi|kShii|DhLLi|kShuu|\~nR\^I|khLLI|ThRRI|thL\^I|bhR\^i|chhee|ThLLI|chhau|shhai|bhL\^I|chR\^i|ShR\^i|phL\^I|chhai|\.nLLi|shR\^i|chL\^i|bhR\^I|\.nR\^I|ShL\^I|dhLLi|jhLLI|shhaa|DhR\^I|khRRI|\~NR\^i|kShaa|thLLi|N\^LLi|shR\^I|JNR\^I|jhRRi|dnyee|kShoo|bhLLi|ShLLi|ghL\^I|shhoo|thR\^I|ghR\^I|ShR\^I|jhL\^i|chRRi|kShau|ChR\^i|JNLLI|\~NRRi|dnyuu|N\^L\^I|N\^LLI|ThLLi|chL\^I|ghR\^i|phRRI|dhR\^i|ChRRi|N\^L\^i|jhL\^I|cRRI|NL\^i|hRRi|jhau|N\^ee|shho|hL\^i|jL\^i|shhu|\~Nii|vR\^i|Shaa|kRRI|chii|dRRi|hL\^I|JNoo|NRRi|LRRI|sL\^i|\~nii|Dhee|dhai|DRRI|phai|dhii|dnyI|tR\^i|chho|\~nai|nR\^i|\~Nee|RRRI|bhii|chaa|NLLi|DRRi|ZRRi|dhaa|sRRi|\.nai|gR\^i|jR\^I|cLLI|bRRI|hLLi|Dhai|lR\^I|jhoo|nL\^I|ZLLi|LLLi|shhU|choo|lRRI|TLLI|khai|Choo|\.nii|DR\^i|lRRi|SRRI|dhuu|TRRi|jhaa|cL\^i|kSho|mRRi|dhau|bhai|phee|nRRI|khii|shii|N\^ii|Chuu|kR\^i|phuu|nLLI|jRRi|N\^oo|rL\^i|\~Nuu|lL\^i|gL\^i|bRRi|vLLI|shhI|vRRi|chha|N\^aa|bLLI|kShe|bhuu|wRRi|vRRI|N\^uu|rLLi|dnyU|dR\^i|shau|Chai|pR\^I|Chii|yLLI|dnyu|DLLi|JNuu|nR\^I|\.nau|pL\^i|bL\^I|kL\^i|ghau|tLLI|gLLi|DR\^I|DL\^I|sRRI|cLLi|Chee|dnyA|Thoo|chee|ZLLI|thai|SRRi|thii|ZR\^I|khuu|phaa|NR\^i|thoo|yL\^I|Thee|NLLI|mLLi|chhe|khau|dhee|kShA|Shau|TRRI|SR\^i|ghii|\~nee|ghaa|wRRI|tRRI|Chaa|DLLI|bhaa|tL\^I|TLLi|shhA|TR\^i|hRRI|thuu|kL\^I|RLLi|ZL\^i|hR\^I|SR\^I|mR\^I|RL\^i|sR\^i|Thai|dnya|Thaa|Shoo|hR\^i|ghee|dnyo|bhee|sR\^I|kSha|pRRI|dLLI|JNee|\.noo|shee|rR\^i|pLLi|rRRI|Dhaa|rLLI|sLLi|lLLI|kShi|tL\^i|LL\^I|nRRi|shai|Dhuu|kLLI|DL\^i|Chau|chuu|chai|SL\^I|gRRI|mL\^i|jR\^i|vL\^i|LRRi|JNaa|kShu|jLLi|SL\^i|yL\^i|NRRI|\~naa|gRRi|LR\^I|kRRi|lR\^i|NR\^I|\~Noo|RR\^i|chhI|N\^au|gLLI|nL\^i|shaa|wLLi|wL\^i|vL\^I|\.naa|khoo|\.\/II|JNii|cR\^i|sLLI|mRRI|RL\^I|phoo|LLLI|hLLI|bhoo|rL\^I|\.nee|\~Naa|LL\^i|JNai|ghoo|cL\^I|shha|dL\^i|Shee|bR\^i|ZL\^I|jhii|Shai|bL\^i|TL\^I|sL\^I|jhee|pL\^I|tLLi|Thii|gL\^I|wLLI|\~Nai|kShI|dhoo|thee|Dhoo|jLLI|bLLi|jhai|dnyi|ghai|khaa|N\^ai|yRRI|SLLI|gR\^I|tRRi|khee|mLLI|JNau|TL\^i|wR\^I|ghuu|chau|chhU|shoo|\~noo|rRRi|SLLi|pLLI|thau|yR\^I|pRRi|tR\^I|cR\^I|shhe|vR\^I|ZR\^i|thaa|pR\^i|dLLi|chhu|LR\^i|kLLi|Shii|cRRi|Dhau|Dhii|ZRRI|chhA|vLLi|RRRi|dL\^I|NL\^I|shhi|yRRi|dRRI|jL\^I|\~nuu|mR\^i|jRRI|Thuu|kR\^I|bhau|\~Nau|yR\^i|bR\^I|Thau|\~nau|nLLi|wR\^i|dnye|\.nuu|lLLi|shuu|dR\^I|jhuu|yLLi|RR\^I|rR\^I|Shuu|chhi|phau|wL\^I|kShU|lL\^I|phii|TR\^I|RLLI|mL\^I|dny|Zuu|bha|lai|\~nI|buu|\~NU|boo|JNI|khe|naa|dau|\~Na|coo|Nee|ShA|LLi|Tau|Rai|taa|Raa|vuu|L\^I|lii|poo|Chu|Rau|pha|kho|laa|N\^u|Luu|jii|cho|Nau|puu|sho|shA|dhi|Roo|Zaa|\~nu|bhI|bho|jhu|cai|paa|Lau|waa|Sau|jhA|Che|Duu|joo|The|\~no|chU|yau|Taa|muu|JNe|ThA|Lee|goo|Saa|guu|phu|lee|huu|jhI|jhe|jhU|L\^i|Soo|RRi|voo|cee|ShI|wii|\~Ni|bii|N\^i|lau|Noo|duu|Doo|Dhu|luu|\~NA|nau|R\^I|\~No|Tai|Sii|thu|moo|Thu|Cha|kii|\.ne|vii|dai|Dhe|N\^a|gee|gha|\~Nu|ghi|Too|JNi|ghI|ghU|DhU|see|yee|cuu|rai|shI|dee|jai|\.nU|yai|Dee|chh|bee|kai|ghe|See|kha|vaa|tee|kaa|JNU|nee|doo|khA|bhA|\.no|hau|Zau|Tee|rii|pho|gaa|Suu|N\^I|Dau|ChU|too|daa|bhu|ree|Nai|dho|che|mai|ghu|nuu|Dhi|tii|\~nA|Zai|bai|Dai|\~Ne|Rii|\.\/I|pii|ShU|pai|yoo|ruu|sau|yuu|\~ne|kau|Dho|wee|gho|dii|\~na|Cho|vau|sii|cii|chI|Daa|maa|Tha|wai|Thi|bhU|phA|soo|Nuu|hoo|cha|tuu|JNu|JNa|N\^U|vai|dhu|jaa|khI|chA|Zii|gai|cau|loo|RRI|rau|kee|ThU|suu|phI|jee|mii|Lii|Ree|Sho|\~NI|Laa|bau|ChI|sai|chi|dha|dhI|yaa|thi|koo|phU|jhi|pee|Nii|\~nU|tha|Dha|AUM|jau|khi|\.nu|caa|DhA|\.nA|\.ni|Shu|DhI|bhi|JNo|tho|thU|kuu|the|Ruu|woo|R\^i|gii|dhA|shU|nai|Chi|shu|She|dhe|tau|sha|haa|khu|N\^o|hai|noo|she|LLI|thI|shh|mee|phe|juu|jho|tai|JNA|Loo|\~ni|raa|Shi|kSh|roo|Zoo|Zee|bhe|nii|ChA|Tuu|Tho|ghA|ThI|Naa|gau|wuu|thA|dhU|vee|N\^e|saa|jha|yii|Tii|khU|Sai|N\^A|\.nI|phi|Lai|mau|wau|hee|baa|chu|Dii|Sha|hii|pau|shi|dI|bA|bu|go|RA|su|\.h|we|To|no|\~N|ku|aH|ko|ju|Le|bi|Ch|aM|\~n|TI|ka|wi|ga|ri|yu|sU|so|wU|do|Se|rA|ja|pi|cA|lU|Sh|N\^|JN|Ro|mI|kI|DA|le|Tu|mi|kA|ro|ne|pa|bU|ca|Dh|sh|LI|Ne|po|DU|jU|SA|ji|dh|Zu|te|ye|Na|Ni|cI|hi|\.N|Di|So|kU|wI|co|ma|ai|pA|TU|vI|vi|va|Ti|ph|jI|di|gu|ve|ra|Da|da|yo|yI|Ze|yA|Ta|Zi|wa|uu|ii|wA|\|\||mU|la|th|cU|Su|\{\}|pe|Re|lA|LU|wu|si|vu|Li|rU|DI|hA|SU|ge|pU|ZA|ke|dU|RI|au|be|nu|ba|yU|lu|yi|vo|RU|NI|Du|La|\.a|Ru|Do|tu|jh|sa|gA|du|Zo|ci|jo|mo|jA|ZI|SI|li|tI|kh|lI|gU|aa|Za|oo|bo|tU|re|he|sA|se|OM|gi|gh|mA|pu|hU|ru|wo|Ra|ha|ti|gI|Ri|na|Lo|hI|Te|me|ch|hu|bh|Nu|dA|ni|Si|nI|ki|pI|De|vU|bI|sI|\.m|ZU|Th|TA|ce|ee|No|nU|rI|ho|to|ya|vA|nA|ta|\.n|Sa|lo|cu|LA|NU|de|tA|NA|mu|je|Lu|A|m|7|T|Z|0|r|a|p|L|t|1|b|n|u|h|c|I|d|8|4|o|M|S|k|5|e|H|i|U|N|R|v|9|s|D|j|l|2|g|\||w|y|6|3|.
/;

my %trans = ('dI' => 'దీ' , 'JNL^I' => 'ఞౣ' , 'dny' => 'జ్ఞ్' , 'khL^I' => 'ఖౣ' , 'cRRI' => 'చౄ' , 'bA' => 'బా' , 'bu' => 'బు' , 'NL^i' => 'ణౢ' , 'go' => 'గొ' , 'phR^i' => 'ఫృ' , 'Zuu' => 'షూ' , 'bha' => 'భ' , 'hRRi' => 'హృ' , 'lai' => 'లై' , '~nI' => 'ఞీ' , 'chhL^I' => 'ఛౣ' , 'jhau' => 'ఝౌ' , 'buu' => 'బూ' , 'N^ee' => 'ఙే' , 'RA' => 'ఱా' , '~NU' => 'ఙూ' , 'boo' => 'బో' , 'shho' => 'షొ' , 'kShRRI' => 'క్షౄ' , 'hL^i' => 'హౢ' , 'thL^i' => 'థౢ' , 'su' => 'సు' , '.h' => '్' , 'A' => 'ఆ' , 'JNI' => 'ఞీ' , 'jL^i' => 'జౢ' , 'shhu' => 'షు' , 'we' => 'వె' , '~Nii' => 'ఙీ' , 'khe' => 'ఖె' , 'naa' => 'నా' , 'm' => 'మ్' , 'dau' => 'దౌ' , 'vR^i' => 'వృ' , '.nL^i' => 'ణౢ' , 'Shaa' => 'షా' , 'dhL^I' => 'ధౣ' , 'To' => 'టొ' , 'dnyR^I' => 'జ్ఞౄ' , '~Na' => 'ఙ' , 'no' => 'నొ' , 'coo' => 'చో' , 'Nee' => 'ణే' , 'chhLLi' => 'ఛౢ' , '~N' => 'ఙ్' , 'ghRRi' => 'ఘృ' , 'kRRI' => 'కౄ' , 'shRRi' => 'శృ' , 'ShA' => 'షా' , 'ku' => 'కు' , 'thRRi' => 'థృ' , 'chii' => 'చీ' , 'dRRi' => 'దృ' , 'LLi' => 'ఌ' , 'Tau' => 'టౌ' , '~nL^i' => 'ఞౢ' , 'hL^I' => 'హౣ' , 'aH' => 'అః' , 'JNoo' => 'ఞో' , 'Rai' => 'ఱై' , 'taa' => 'తా' , 'NRRi' => 'ణృ' , 'LRRI' => 'ళౄ' , 'sL^i' => 'సౢ' , 'JNLLi' => 'ఞౢ' , 'dhR^I' => 'ధౄ' , 'phRRi' => 'ఫృ' , '~nii' => 'ఞీ' , 'ko' => 'కొ' , 'Raa' => 'ఱా' , 'Dhee' => 'ఢే' , 'shhR^i' => 'షృ' , 'vuu' => 'వూ' , 'dhai' => 'ధై' , 'DRRI' => 'డౄ' , 'JNRRI' => 'ఞౄ' , 'L^I' => 'ౡ' , 'ju' => 'జు' , 'phai' => 'ఫై' , 'Le' => 'ళె' , 'lii' => 'లీ' , 'bi' => 'బి' , 'poo' => 'పో' , 'Chu' => 'ఛు' , 'Ch' => 'ఛ్' , 'dnyii' => 'జ్ఞీ' , 'dhii' => 'ధీ' , 'Rau' => 'ఱౌ' , 'ShRRI' => 'షౄ' , 'pha' => 'ఫ' , 'dnyI' => 'జ్ఞీ' , 'kho' => 'ఖొ' , 'ChLLI' => 'ఛౣ' , 'aM' => 'అం' , 'laa' => 'లా' , 'N^u' => 'ఙు' , '7' => '౭' , '~n' => 'ఞ్' , 'tR^i' => 'తృ' , 'Luu' => 'ళూ' , 'ThR^i' => 'ఠృ' , 'dnyaa' => 'జ్ఞా' , 'chho' => 'ఛొ' , '~nai' => 'ఞై' , 'TI' => 'టీ' , 'ThL^i' => 'ఠౢ' , 'jii' => 'జీ' , 'nR^i' => 'నృ' , 'T' => 'ట్' , 'Z' => 'ష్' , 'cho' => 'చొ' , 'ka' => 'క' , '~Nee' => 'ఙే' , 'ChLLi' => 'ఛౢ' , 'Nau' => 'ణౌ' , 'puu' => 'పూ' , 'ghL^i' => 'ఘౢ' , 'RRRI' => 'ఱౄ' , 'bhii' => 'భీ' , 'thLLI' => 'థౣ' , 'chaa' => 'చా' , 'NLLi' => 'ణౢ' , 'sho' => 'శొ' , 'shA' => 'శా' , 'DRRi' => 'డృ' , 'dhi' => 'ధి' , 'Roo' => 'ఱో' , 'ChL^I' => 'ఛౣ' , 'Zaa' => 'షా' , 'wi' => 'వి' , 'DhL^i' => 'ఢౢ' , 'ZRRi' => 'షృ' , '0' => '౦' , 'dhaa' => 'ధా' , 'sRRi' => 'సృ' , '~nu' => 'ఞు' , 'bhI' => 'భీ' , '.nai' => 'ణై' , 'ga' => 'గ' , 'chhuu' => 'ఛూ' , 'khR^I' => 'ఖౄ' , 'bho' => 'భొ' , 'jhu' => 'ఝు' , 'cai' => 'చై' , 'gR^i' => 'గృ' , 'DhLLI' => 'ఢౣ' , 'jR^I' => 'జౄ' , 'ri' => 'రి' , 'bhL^i' => 'భౢ' , 'yu' => 'యు' , 'cLLI' => 'చౣ' , 'paa' => 'పా' , 'bRRI' => 'బౄ' , 'N^R^I' => 'ఙౄ' , 'hLLi' => 'హౢ' , 'sU' => 'సూ' , 'so' => 'సొ' , 'wU' => 'వూ' , 'Dhai' => 'ఢై' , '.nRRi' => 'ణృ' , 'do' => 'దొ' , 'Se' => 'షె' , 'rA' => 'రా' , 'lR^I' => 'లౄ' , 'jhoo' => 'ఝో' , 'Lau' => 'ళౌ' , 'nL^I' => 'నౣ' , 'ZLLi' => 'షౢ' , 'LLLi' => 'ళౢ' , 'waa' => 'వా' , 'Sau' => 'షౌ' , 'jhA' => 'ఝా' , 'Che' => 'ఛె' , 'shhU' => 'షూ' , 'choo' => 'చో' , 'Duu' => 'డూ' , 'joo' => 'జో' , 'ja' => 'జ' , 'The' => 'ఠె' , '~no' => 'ఞొ' , 'lRRI' => 'లౄ' , 'pi' => 'పి' , 'TLLI' => 'టౣ' , 'r' => 'ర్' , 'chU' => 'చూ' , 'yau' => 'యౌ' , 'khai' => 'ఖై' , 'ShRRi' => 'షృ' , 'Taa' => 'టా' , 'cA' => 'చా' , 'muu' => 'మూ' , 'JNe' => 'ఞె' , 'lU' => 'లూ' , 'Sh' => 'ష్' , 'ThA' => 'ఠా' , '.nRRI' => 'ణౄ' , 'shL^I' => 'శౣ' , 'Lee' => 'ళే' , 'Choo' => 'ఛో' , '.nii' => 'ణీ' , 'dnyR^i' => 'జ్ఞృ' , 'shhuu' => 'షూ' , 'goo' => 'గో' , 'N^' => 'ఙ్' , 'DR^i' => 'డృ' , 'lRRi' => 'లృ' , 'a' => 'అ' , 'SRRI' => 'షౄ' , 'JNR^i' => 'ఞృ' , 'dhuu' => 'ధూ' , 'kShR^i' => 'క్షృ' , 'p' => 'ప్' , 'TRRi' => 'టృ' , 'JN' => 'ఞ్' , 'Ro' => 'ఱొ' , 'mI' => 'మీ' , 'kI' => 'కీ' , 'phLLI' => 'ఫౣ' , 'Saa' => 'షా' , 'DA' => 'డా' , 'chhoo' => 'ఛో' , 'jhaa' => 'ఝా' , 'cL^i' => 'చౢ' , 'jhR^i' => 'ఝృ' , 'guu' => 'గూ' , 'phu' => 'ఫు' , 'kSho' => 'క్షొ' , 'lee' => 'లే' , '~nLLI' => 'ఞౣ' , 'L' => 'ళ్' , 'mRRi' => 'మృ' , 'le' => 'లె' , '~NL^I' => 'ఙౣ' , 'dhau' => 'ధౌ' , 'bhai' => 'భై' , 'huu' => 'హూ' , 'shhRRi' => 'షృ' , 'jhI' => 'ఝీ' , 'phee' => 'ఫే' , 'Tu' => 'టు' , 'nRRI' => 'నౄ' , 'jhe' => 'ఝె' , 'mi' => 'మి' , 'jhU' => 'ఝూ' , 'kA' => 'కా' , 'L^i' => 'ఌ' , 'khii' => 'ఖీ' , 'shii' => 'శీ' , 'khR^i' => 'ఖృ' , 't' => 'త్' , 'Soo' => 'షో' , 'dnyoo' => 'జ్ఞో' , 'chhLLI' => 'ఛౣ' , 'RRi' => 'ఋ' , 'N^ii' => 'ఙీ' , 'Chuu' => 'ఛూ' , 'voo' => 'వో' , 'kR^i' => 'కృ' , 'ro' => 'రొ' , 'cee' => 'చే' , 'phuu' => 'ఫూ' , '1' => '౧' , 'dnyL^i' => 'జ్ఞౢ' , 'ThR^I' => 'ఠౄ' , 'jhR^I' => 'ఝౄ' , 'ne' => 'నె' , 'nLLI' => 'నౣ' , 'b' => 'బ్' , 'chLLI' => 'చౣ' , 'pa' => 'ప' , 'jRRi' => 'జృ' , 'N^oo' => 'ఙో' , 'rL^i' => 'రౢ' , 'kShai' => 'క్షై' , 'thR^i' => 'థృ' , 'bU' => 'బూ' , 'ca' => 'చ' , '~Nuu' => 'ఙూ' , 'Dh' => 'ఢ్' , 'lL^i' => 'లౢ' , 'gL^i' => 'గౢ' , 'chhR^i' => 'ఛృ' , 'ShI' => 'షీ' , '~NLLI' => 'ఙౣ' , 'wii' => 'వీ' , 'sh' => 'శ్' , '~Ni' => 'ఙి' , 'bii' => 'బీ' , 'bRRi' => 'బృ' , 'N^i' => 'ఙి' , 'LI' => 'ళీ' , 'ChR^I' => 'ఛౄ' , 'ShLLI' => 'షౣ' , 'Ne' => 'ణె' , 'lau' => 'లౌ' , 'Noo' => 'ణో' , 'vLLI' => 'వౣ' , 'duu' => 'దూ' , 'Doo' => 'డో' , 'DhRRI' => 'ఢౄ' , 'po' => 'పొ' , 'DU' => 'డూ' , 'Dhu' => 'ఢు' , 'luu' => 'లూ' , 'jU' => 'జూ' , 'shhI' => 'షీ' , 'SA' => 'షా' , '~NA' => 'ఙా' , 'nau' => 'నౌ' , 'vRRi' => 'వృ' , 'ji' => 'జి' , 'R^I' => 'ౠ' , '~No' => 'ఙొ' , 'shLLi' => 'శౢ' , 'dh' => 'ధ్' , 'Tai' => 'టై' , 'chha' => 'ఛ' , 'kShRRi' => 'క్షృ' , 'N^aa' => 'ఙా' , 'Zu' => 'షు' , 'bLLI' => 'బౣ' , 'dnyau' => 'జ్ఞౌ' , 'Sii' => 'షీ' , 'te' => 'తె' , 'kShe' => 'క్షె' , 'ye' => 'యె' , 'thu' => 'థు' , 'bhuu' => 'భూ' , 'wRRi' => 'వృ' , 'vRRI' => 'వౄ' , 'N^uu' => 'ఙూ' , 'Na' => 'ణ' , 'Ni' => 'ణి' , 'moo' => 'మో' , 'Thu' => 'ఠు' , 'Cha' => 'ఛ' , 'rLLi' => 'రౢ' , 'dnyU' => 'జ్ఞూ' , 'dR^i' => 'దృ' , 'kii' => 'కీ' , 'cI' => 'చీ' , 'hi' => 'హి' , '.ne' => 'ణె' , 'shau' => 'శౌ' , 'vii' => 'వీ' , 'dai' => 'దై' , 'Dhe' => 'ఢె' , 'n' => 'న్' , 'Chai' => 'ఛై' , 'pR^I' => 'పౄ' , '.N' => 'ఁ' , 'Di' => 'డి' , 'Chii' => 'ఛీ' , 'yLLI' => 'యౣ' , 'N^a' => 'ఙ' , 'So' => 'షొ' , 'dnyu' => 'జ్ఞు' , 'gee' => 'గే' , 'shL^i' => 'శౢ' , 'DLLi' => 'డౢ' , 'gha' => 'ఘ' , 'u' => 'ఉ' , '~Nu' => 'ఙు' , 'chRRI' => 'చౄ' , 'kU' => 'కూ' , 'ghi' => 'ఘి' , 'Too' => 'టో' , 'ghLLi' => 'ఘౢ' , 'h' => 'హ్' , 'wI' => 'వీ' , 'JNuu' => 'ఞూ' , 'nR^I' => 'నౄ' , 'bhRRi' => 'భృ' , 'thRRI' => 'థౄ' , 'khL^i' => 'ఖౢ' , 'phR^I' => 'ఫౄ' , 'JNi' => 'ఞి' , 'co' => 'చొ' , '.nau' => 'ణౌ' , 'DhR^i' => 'ఢృ' , 'pL^i' => 'పౢ' , '~NLLi' => 'ఙౢ' , 'bL^I' => 'బౣ' , 'ghI' => 'ఘీ' , 'ma' => 'మ' , 'kL^i' => 'కౢ' , 'ghau' => 'ఘౌ' , 'ghU' => 'ఘూ' , 'JNL^i' => 'ఞౢ' , '~nR^i' => 'ఞృ' , 'DhU' => 'ఢూ' , 'chhR^I' => 'ఛౄ' , '~nRRI' => 'ఞౄ' , 'see' => 'సే' , 'yee' => 'యే' , 'ThL^I' => 'ఠౣ' , 'tLLI' => 'తౣ' , 'ai' => 'ఐ' , 'c' => 'చ్' , 'pA' => 'పా' , 'shhL^i' => 'షౢ' , 'gLLi' => 'గౢ' , 'TU' => 'టూ' , 'vI' => 'వీ' , 'DR^I' => 'డౄ' , 'DL^I' => 'డౣ' , 'cuu' => 'చూ' , 'chhii' => 'ఛీ' , 'vi' => 'వి' , 'sRRI' => 'సౄ' , 'rai' => 'రై' , 'va' => 'వ' , 'Ti' => 'టి' , 'cLLi' => 'చౢ' , 'shI' => 'శీ' , 'Chee' => 'ఛే' , 'dnyA' => 'జ్ఞా' , 'Thoo' => 'ఠో' , 'dee' => 'దే' , 'DhRRi' => 'ఢృ' , 'jai' => 'జై' , 'chee' => 'చే' , 'ZLLI' => 'షౣ' , 'ph' => 'ఫ్' , 'thai' => 'థై' , '.nU' => 'ణూ' , 'SRRi' => 'షృ' , 'thii' => 'థీ' , 'yai' => 'యై' , 'Dee' => 'డే' , 'ZR^I' => 'షౄ' , 'jI' => 'జీ' , 'chh' => 'ఛ్' , 'khuu' => 'ఖూ' , 'bee' => 'బే' , 'phaa' => 'ఫా' , 'JNRRi' => 'ఞృ' , 'kai' => 'కై' , 'NR^i' => 'ణృ' , 'thoo' => 'థో' , 'di' => 'ది' , 'yL^I' => 'యౣ' , 'gu' => 'గు' , 'shhRRI' => 'షౄ' , 'jhRRI' => 'ఝౄ' , 'khLLi' => 'ఖౢ' , 'phL^i' => 'ఫౢ' , 'ghe' => 'ఘె' , 'See' => 'షే' , 'kha' => 'ఖ' , 'Thee' => 'ఠే' , 've' => 'వె' , 'NLLI' => 'ణౣ' , 'ra' => 'ర' , 'vaa' => 'వా' , 'mLLi' => 'మౢ' , 'tee' => 'తే' , 'Da' => 'డ' , 'kaa' => 'కా' , 'JNU' => 'ఞూ' , 'nee' => 'నే' , 'I' => 'ఈ' , 'da' => 'ద' , 'chhe' => 'ఛె' , 'chhaa' => 'ఛా' , 'khau' => 'ఖౌ' , 'doo' => 'దో' , 'dhee' => 'ధే' , 'yo' => 'యొ' , 'khA' => 'ఖా' , 'dhRRI' => 'ధౄ' , 'ChL^i' => 'ఛౢ' , 'dhRRi' => 'ధృ' , 'bhA' => 'భా' , '.no' => 'ణొ' , 'hau' => 'హౌ' , 'kShA' => 'క్షా' , 'Shau' => 'షౌ' , 'Zau' => 'షౌ' , 'yI' => 'యీ' , 'TRRI' => 'టౄ' , 'ghLLI' => 'ఘౣ' , 'phLLi' => 'ఫౢ' , 'SR^i' => 'షృ' , 'jhLLi' => 'ఝౢ' , 'Tee' => 'టే' , 'ghii' => 'ఘీ' , '~nee' => 'ఞే' , 'Ze' => 'షె' , 'yA' => 'యా' , 'rii' => 'రీ' , 'Ta' => 'ట' , 'pho' => 'ఫొ' , 'gaa' => 'గా' , 'ghaa' => 'ఘా' , 'Zi' => 'షి' , 'Suu' => 'షూ' , 'N^I' => 'ఙీ' , 'Dau' => 'డౌ' , 'ChU' => 'ఛూ' , 'wRRI' => 'వౄ' , 'tRRI' => 'తౄ' , 'Chaa' => 'ఛా' , 'DLLI' => 'డౣ' , 'bhaa' => 'భా' , 'wa' => 'వ' , 'dhLLI' => 'ధౣ' , 'too' => 'తో' , 'tL^I' => 'తౣ' , 'bhLLI' => 'భౣ' , 'chhL^i' => 'ఛౢ' , 'shhR^I' => 'షౄ' , 'daa' => 'దా' , 'TLLi' => 'టౢ' , 'shhA' => 'షా' , 'd' => 'ద్' , '8' => '౮' , 'ShL^i' => 'షౢ' , 'TR^i' => 'టృ' , 'bhu' => 'భు' , 'hRRI' => 'హౄ' , 'uu' => 'ఊ' , '4' => '౪' , 'ii' => 'ఈ' , 'thuu' => 'థూ' , 'kL^I' => 'కౣ' , 'wA' => 'వా' , '||' => '॥' , 'ree' => 'రే' , '~nRRi' => 'ఞృ' , 'RLLi' => 'ఱౢ' , 'ZL^i' => 'షౢ' , 'kShLLI' => 'క్షౣ' , 'hR^I' => 'హౄ' , 'mU' => 'మూ' , 'SR^I' => 'షౄ' , 'mR^I' => 'మౄ' , 'Nai' => 'ణై' , 'dho' => 'ధొ' , 'RL^i' => 'ఱౢ' , 'che' => 'చె' , 'sR^i' => 'సృ' , 'Thai' => 'ఠై' , 'dnya' => 'జ్ఞ' , 'mai' => 'మై' , 'la' => 'ల' , 'Thaa' => 'ఠా' , 'Shoo' => 'షో' , 'th' => 'థ్' , 'cU' => 'చూ' , 'ghu' => 'ఘు' , 'o' => 'ఒ' , 'nuu' => 'నూ' , 'M' => 'ం' , 'Dhi' => 'ఢి' , 'dhL^i' => 'ధౢ' , 'tii' => 'తీ' , 'Su' => 'షు' , 'ChRRI' => 'ఛౄ' , 'hR^i' => 'హృ' , 'ghee' => 'ఘే' , '~nA' => 'ఞా' , '{}' => '్' , 'dnyo' => 'జ్ఞొ' , 'bhee' => 'భే' , 'pe' => 'పె' , 'Zai' => 'షై' , 'bai' => 'బై' , 'Re' => 'ఱె' , 'dnyai' => 'జ్ఞై' , '~nLLi' => 'ఞౢ' , 'lA' => 'లా' , 'kShR^I' => 'క్షౄ' , 'LU' => 'ళూ' , 'wu' => 'వు' , 'Dai' => 'డై' , '~Ne' => 'ఙె' , 'sR^I' => 'సౄ' , 'kSha' => 'క్ష' , 'kShee' => 'క్షే' , 'Rii' => 'ఱీ' , './I' => '।' , 'si' => 'సి' , 'vu' => 'వు' , 'pRRI' => 'పౄ' , '~NL^i' => 'ఙౢ' , 'pii' => 'పీ' , 'ShU' => 'షూ' , 'pai' => 'పై' , 'Li' => 'ళి' , 'yoo' => 'యో' , 'ruu' => 'రూ' , 'dLLI' => 'దౣ' , 'sau' => 'సౌ' , 'rU' => 'రూ' , 'yuu' => 'యూ' , 'JNee' => 'ఞే' , '~ne' => 'ఞె' , '.noo' => 'ణో' , 'shee' => 'శే' , 'shhii' => 'షీ' , '.nR^i' => 'ణృ' , 'DI' => 'డీ' , 'hA' => 'హా' , 'kau' => 'కౌ' , 'SU' => 'షూ' , 'Dho' => 'ఢొ' , 'wee' => 'వే' , 'gho' => 'ఘొ' , 'N^R^i' => 'ఙృ' , 'dii' => 'దీ' , '~na' => 'ఞ' , 'rR^i' => 'రృ' , 'pLLi' => 'పౢ' , 'rRRI' => 'రౄ' , 'ge' => 'గె' , 'Dhaa' => 'ఢా' , 'ghRRI' => 'ఘౄ' , 'pU' => 'పూ' , 'Cho' => 'ఛొ' , 'ZA' => 'షా' , 'ke' => 'కె' , 'dU' => 'దూ' , 'RI' => 'ఱీ' , 'vau' => 'వౌ' , 'rLLI' => 'రౣ' , 'sii' => 'సీ' , 'sLLi' => 'సౢ' , 'lLLI' => 'లౣ' , 'kShi' => 'క్షి' , 'tL^i' => 'తౢ' , 'LL^I' => 'ళౣ' , 'cii' => 'చీ' , 'nRRi' => 'నృ' , 'chI' => 'చీ' , 'au' => 'ఔ' , 'Daa' => 'డా' , 'shhee' => 'షే' , 'shai' => 'శై' , 'Dhuu' => 'ఢూ' , 'maa' => 'మా' , 'be' => 'బె' , 'nu' => 'ను' , 'kLLI' => 'కౣ' , 'DL^i' => 'డౢ' , 'Tha' => 'ఠ' , 'Chau' => 'ఛౌ' , '~nL^I' => 'ఞౣ' , 'chuu' => 'చూ' , 'ba' => 'బ' , 'chai' => 'చై' , 'SL^I' => 'షౣ' , 'yU' => 'యూ' , 'gRRI' => 'గౄ' , '.nL^I' => 'ణౣ' , 'lu' => 'లు' , 'mL^i' => 'మౢ' , 'yi' => 'యి' , 'wai' => 'వై' , 'jR^i' => 'జృ' , 'vL^i' => 'వౢ' , 'Thi' => 'ఠి' , 'LRRi' => 'ళృ' , 'JNaa' => 'ఞా' , 'S' => 'ష్' , 'kShu' => 'క్షు' , 'shRRI' => 'శౄ' , 'bhU' => 'భూ' , 'jLLi' => 'జౢ' , 'phA' => 'ఫా' , 'DhL^I' => 'ఢౣ' , 'SL^i' => 'షౢ' , 'yL^i' => 'యౢ' , 'soo' => 'సో' , 'NRRI' => 'ణౄ' , 'Nuu' => 'ణూ' , '~NR^I' => 'ఙౄ' , '~naa' => 'ఞా' , 'dnyRRI' => 'జ్ఞౄ' , 'hoo' => 'హో' , 'kShLLi' => 'క్షౢ' , 'chR^I' => 'చౄ' , 'cha' => 'చ' , 'gRRi' => 'గృ' , 'k' => 'క్' , 'LR^I' => 'ళౄ' , 'shLLI' => 'శౣ' , 'vo' => 'వొ' , 'ThRRi' => 'ఠృ' , 'tuu' => 'తూ' , 'JNu' => 'ఞు' , 'JNa' => 'ఞ' , 'RU' => 'ఱూ' , 'khRRi' => 'ఖృ' , 'N^U' => 'ఙూ' , 'NI' => 'ణీ' , 'N^RRi' => 'ఙృ' , 'Du' => 'డు' , 'kRRi' => 'కృ' , 'vai' => 'వై' , '5' => '౫' , 'La' => 'ళ' , 'lR^i' => 'లృ' , 'NR^I' => 'ణౄ' , '.a' => 'ఽ' , 'Ru' => 'ఱు' , '~Noo' => 'ఙో' , 'dhu' => 'ధు' , 'chhRRI' => 'ఛౄ' , 'jaa' => 'జా' , 'shhau' => 'షౌ' , 'khI' => 'ఖీ' , 'bhRRI' => 'భౄ' , 'chA' => 'చా' , 'RR^i' => 'ఱృ' , '.nLLI' => 'ణౣ' , 'Zii' => 'షీ' , 'gai' => 'గై' , 'cau' => 'చౌ' , 'loo' => 'లో' , 'N^RRI' => 'ఙౄ' , 'RRI' => 'ౠ' , 'rau' => 'రౌ' , 'Do' => 'డొ' , 'kee' => 'కే' , 'tu' => 'తు' , 'chhI' => 'ఛీ' , 'jh' => 'ఝ్' , 'sa' => 'స' , 'gA' => 'గా' , 'du' => 'దు' , 'Zo' => 'షొ' , 'ThU' => 'ఠూ' , '~NRRI' => 'ఙౄ' , 'suu' => 'సూ' , 'N^au' => 'ఙౌ' , 'gLLI' => 'గౣ' , 'chLLi' => 'చౢ' , 'ci' => 'చి' , 'jo' => 'జొ' , 'kShii' => 'క్షీ' , 'mo' => 'మొ' , 'nL^i' => 'నౢ' , 'e' => 'ఎ' , 'jA' => 'జా' , 'shaa' => 'శా' , 'wLLi' => 'వౢ' , 'phI' => 'ఫీ' , 'wL^i' => 'వౢ' , 'vL^I' => 'వౣ' , '.naa' => 'ణా' , 'khoo' => 'ఖో' , 'ZI' => 'షీ' , './II' => '॥' , 'kShL^I' => 'క్షౣ' , 'H' => 'ః' , 'jee' => 'జే' , 'mii' => 'మీ' , 'SI' => 'షీ' , 'i' => 'ఇ' , 'U' => 'ఊ' , 'N' => 'ణ్' , 'R' => 'ఱ్' , 'JNii' => 'ఞీ' , 'Lii' => 'ళీ' , 'li' => 'లి' , 'DhLLi' => 'ఢౢ' , 'Ree' => 'ఱే' , 'dnyLLI' => 'జ్ఞౣ' , 'tI' => 'తీ' , 'v' => 'వ్' , 'Sho' => 'షొ' , 'kh' => 'ఖ్' , 'lI' => 'లీ' , 'gU' => 'గూ' , 'cR^i' => 'చృ' , '~NI' => 'ఙీ' , 'Laa' => 'ళా' , 'sLLI' => 'సౣ' , 'bau' => 'బౌ' , 'mRRI' => 'మౄ' , 'ChI' => 'ఛీ' , 'aa' => 'ఆ' , 'RL^I' => 'ఱౣ' , 'sai' => 'సై' , 'Za' => 'ష' , '9' => '౯' , 'oo' => 'ఓ' , 'phoo' => 'ఫో' , 'LLLI' => 'ళౣ' , 'hLLI' => 'హౣ' , 'bo' => 'బొ' , 'tU' => 'తూ' , 're' => 'రె' , 'he' => 'హె' , 'chi' => 'చి' , 'dha' => 'ధ' , 'bhoo' => 'భో' , 'sA' => 'సా' , 'dhI' => 'ధీ' , 'kShuu' => 'క్షూ' , 'yaa' => 'యా' , 'rL^I' => 'రౣ' , 'thi' => 'థి' , '.nee' => 'ణే' , 'koo' => 'కో' , '~Naa' => 'ఙా' , 'LL^i' => 'ళౢ' , 'se' => 'సె' , 'JNai' => 'ఞై' , 'ghoo' => 'ఘో' , 'OM' => 'ఓం' , '~nR^I' => 'ఞౄ' , 'cL^I' => 'చౣ' , 'shha' => 'ష' , 'gi' => 'గి' , 'gh' => 'ఘ్' , 'dL^i' => 'దౢ' , 'Shee' => 'షే' , 'chhRRi' => 'ఛృ' , 'bR^i' => 'బృ' , 'ZL^I' => 'షౣ' , 'phU' => 'ఫూ' , 'jhi' => 'ఝి' , 'mA' => 'మా' , 'pee' => 'పే' , 'jhii' => 'ఝీ' , 'Shai' => 'షై' , 'pu' => 'పు' , 's' => 'స్' , 'khLLI' => 'ఖౣ' , 'Nii' => 'ణీ' , '~nU' => 'ఞూ' , 'bL^i' => 'బౢ' , 'tha' => 'థ' , 'TL^I' => 'టౣ' , 'ThRRI' => 'ఠౄ' , 'hU' => 'హూ' , 'sL^I' => 'సౣ' , 'ru' => 'రు' , 'jhee' => 'ఝే' , 'wo' => 'వొ' , 'thL^I' => 'థౣ' , 'Ra' => 'ఱ' , 'dnyL^I' => 'జ్ఞౣ' , 'pL^I' => 'పౣ' , 'bhR^i' => 'భృ' , 'chhee' => 'ఛే' , 'Dha' => 'ఢ' , 'AUM' => 'ఓం' , 'ha' => 'హ' , 'tLLi' => 'తౢ' , 'jau' => 'జౌ' , 'ti' => 'తి' , 'khi' => 'ఖి' , 'gI' => 'గీ' , 'Ri' => 'ఱి' , '.nu' => 'ణు' , 'Thii' => 'ఠీ' , 'ThLLI' => 'ఠౣ' , 'chhau' => 'ఛౌ' , 'gL^I' => 'గౣ' , 'caa' => 'చా' , 'D' => 'డ్' , 'shhai' => 'షై' , 'DhA' => 'ఢా' , '.nA' => 'ణా' , 'wLLI' => 'వౣ' , '~Nai' => 'ఙై' , '.ni' => 'ణి' , 'kShI' => 'క్షీ' , 'dhoo' => 'ధో' , 'Shu' => 'షు' , 'bhL^I' => 'భౣ' , 'thee' => 'థే' , 'na' => 'న' , 'Lo' => 'ళొ' , 'Dhoo' => 'ఢో' , 'jLLI' => 'జౣ' , 'bLLi' => 'బౢ' , 'jhai' => 'ఝై' , 'chR^i' => 'చృ' , 'dnyi' => 'జ్ఞి' , 'ghai' => 'ఘై' , 'khaa' => 'ఖా' , 'hI' => 'హీ' , 'Te' => 'టె' , 'N^ai' => 'ఙై' , 'yRRI' => 'యౄ' , 'SLLI' => 'షౣ' , 'DhI' => 'ఢీ' , 'ShR^i' => 'షృ' , 'shhLLI' => 'షౣ' , 'phL^I' => 'ఫౣ' , 'bhi' => 'భి' , 'j' => 'జ్' , 'JNo' => 'ఞొ' , 'gR^I' => 'గౄ' , 'me' => 'మె' , 'tRRi' => 'తృ' , 'tho' => 'థొ' , 'ch' => 'చ్' , 'thU' => 'థూ' , 'chhai' => 'ఛై' , 'khee' => 'ఖే' , 'mLLI' => 'మౣ' , 'l' => 'ల్' , '.nLLi' => 'ణౢ' , 'kuu' => 'కూ' , 'shR^i' => 'శృ' , 'the' => 'థె' , 'JNau' => 'ఞౌ' , 'TL^i' => 'టౢ' , 'hu' => 'హు' , 'bh' => 'భ్' , 'chL^i' => 'చౢ' , 'wR^I' => 'వౄ' , 'ghuu' => 'ఘూ' , 'chau' => 'చౌ' , 'Nu' => 'ణు' , 'Ruu' => 'ఱూ' , 'chhU' => 'ఛూ' , 'shoo' => 'శో' , '~noo' => 'ఞో' , '2' => '౨' , 'rRRi' => 'రృ' , 'woo' => 'వో' , 'dA' => 'దా' , 'R^i' => 'ఋ' , 'gii' => 'గీ' , 'SLLi' => 'షౢ' , 'bhR^I' => 'భౄ' , 'dhA' => 'ధా' , 'pLLI' => 'పౣ' , 'thau' => 'థౌ' , 'shU' => 'శూ' , '.nR^I' => 'ణౄ' , 'ni' => 'ని' , 'yR^I' => 'యౄ' , 'Si' => 'షి' , 'pRRi' => 'పృ' , 'g' => 'గ్' , 'tR^I' => 'తౄ' , 'nai' => 'నై' , 'ShL^I' => 'షౣ' , 'nI' => 'నీ' , 'dhLLi' => 'ధౢ' , 'jhLLI' => 'ఝౣ' , 'cR^I' => 'చౄ' , 'shhe' => 'షె' , 'ki' => 'కి' , 'Chi' => 'ఛి' , 'pI' => 'పీ' , 'shu' => 'శు' , 'She' => 'షె' , 'vR^I' => 'వౄ' , 'ZR^i' => 'షృ' , '|' => '।' , 'De' => 'డె' , 'shhaa' => 'షా' , 'DhR^I' => 'ఢౄ' , 'vU' => 'వూ' , 'dhe' => 'ధె' , 'thaa' => 'థా' , 'pR^i' => 'పృ' , 'khRRI' => 'ఖౄ' , 'tau' => 'తౌ' , 'sha' => 'శ' , 'haa' => 'హా' , '~NR^i' => 'ఙృ' , 'kShaa' => 'క్షా' , 'khu' => 'ఖు' , 'thLLi' => 'థౢ' , 'w' => 'వ్' , 'N^LLi' => 'ఙౢ' , 'dLLi' => 'దౢ' , 'bI' => 'బీ' , 'sI' => 'సీ' , 'N^o' => 'ఙొ' , 'hai' => 'హై' , '.m' => 'ం' , 'shR^I' => 'శౄ' , 'noo' => 'నో' , 'JNR^I' => 'ఞౄ' , 'chhu' => 'ఛు' , 'ZU' => 'షూ' , 'Th' => 'ఠ్' , 'LR^i' => 'ళృ' , 'jhRRi' => 'ఝృ' , 'kLLi' => 'కౢ' , 'TA' => 'టా' , 'she' => 'శె' , 'y' => 'య్' , 'dnyee' => 'జ్ఞే' , 'LLI' => 'ౡ' , 'Shii' => 'షీ' , 'cRRi' => 'చృ' , 'thI' => 'థీ' , 'Dhau' => 'ఢౌ' , 'Dhii' => 'ఢీ' , 'ZRRI' => 'షౄ' , 'shh' => 'ష్' , 'chhA' => 'ఛా' , 'kShoo' => 'క్షో' , 'vLLi' => 'వౢ' , 'mee' => 'మే' , 'ce' => 'చె' , 'phe' => 'ఫె' , 'juu' => 'జూ' , 'RRRi' => 'ఱృ' , 'bhLLi' => 'భౢ' , 'dL^I' => 'దౣ' , 'ShLLi' => 'షౢ' , 'jho' => 'ఝొ' , 'tai' => 'తై' , 'NL^I' => 'ణౣ' , 'JNA' => 'ఞా' , 'shhi' => 'షి' , 'yRRi' => 'యృ' , 'ghL^I' => 'ఘౣ' , 'Loo' => 'ళో' , 'shhoo' => 'షో' , 'ee' => 'ఏ' , 'dRRI' => 'దౄ' , 'jL^I' => 'జౣ' , '~nuu' => 'ఞూ' , '~ni' => 'ఞి' , 'raa' => 'రా' , '6' => '౬' , 'dnyLLi' => 'జ్ఞౢ' , 'Shi' => 'షి' , 'thR^I' => 'థౄ' , 'mR^i' => 'మృ' , 'ghR^I' => 'ఘౄ' , 'kSh' => 'క్ష్' , 'jRRI' => 'జౄ' , 'roo' => 'రో' , 'Thuu' => 'ఠూ' , 'Zoo' => 'షో' , 'Zee' => 'షే' , 'ShR^I' => 'షౄ' , 'No' => 'ణొ' , 'bhe' => 'భె' , 'kR^I' => 'కౄ' , 'dnyRRi' => 'జ్ఞృ' , 'nU' => 'నూ' , 'bhau' => 'భౌ' , '~Nau' => 'ఙౌ' , 'nii' => 'నీ' , 'yR^i' => 'యృ' , 'jhL^i' => 'ఝౢ' , 'bR^I' => 'బౄ' , 'ChA' => 'ఛా' , 'rI' => 'రీ' , 'Tuu' => 'టూ' , 'chRRi' => 'చృ' , 'ho' => 'హొ' , 'Thau' => 'ఠౌ' , 'Tho' => 'ఠొ' , 'ghA' => 'ఘా' , 'to' => 'తొ' , 'ThI' => 'ఠీ' , 'kShau' => 'క్షౌ' , '~nau' => 'ఞౌ' , 'nLLi' => 'నౢ' , 'wR^i' => 'వృ' , 'Naa' => 'ణా' , 'gau' => 'గౌ' , 'dnye' => 'జ్ఞె' , 'wuu' => 'వూ' , 'thA' => 'థా' , 'dhU' => 'ధూ' , '.nuu' => 'ణూ' , 'lLLi' => 'లౢ' , 'vee' => 'వే' , 'shhL^I' => 'షౣ' , 'N^e' => 'ఙె' , 'shuu' => 'శూ' , 'dR^I' => 'దౄ' , 'saa' => 'సా' , 'ChR^i' => 'ఛృ' , 'jhuu' => 'ఝూ' , 'JNLLI' => 'ఞౣ' , 'ya' => 'య' , 'jha' => 'ఝ' , 'yii' => 'యీ' , 'Tii' => 'టీ' , '~NRRi' => 'ఙృ' , 'vA' => 'వా' , 'dnyuu' => 'జ్ఞూ' , 'yLLi' => 'యౢ' , 'RR^I' => 'ఱౄ' , 'khU' => 'ఖూ' , 'nA' => 'నా' , 'rR^I' => 'రౄ' , 'ta' => 'త' , '.n' => 'ం' , '3' => '౩' , 'N^L^I' => 'ఙౣ' , 'Sa' => 'ష' , 'Sai' => 'షై' , 'N^LLI' => 'ఙౣ' , 'N^A' => 'ఙా' , 'lo' => 'లొ' , 'ThLLi' => 'ఠౢ' , 'Shuu' => 'షూ' , 'cu' => 'చు' , 'chhi' => 'ఛి' , 'phau' => 'ఫౌ' , 'chL^I' => 'చౣ' , 'ghR^i' => 'ఘృ' , '.nI' => 'ణీ' , 'phRRI' => 'ఫౄ' , 'LA' => 'ళా' , 'dhR^i' => 'ధృ' , 'phi' => 'ఫి' , 'NU' => 'ణూ' , 'wL^I' => 'వౣ' , 'kShU' => 'క్షూ' , 'Lai' => 'ళై' , 'lL^I' => 'లౣ' , 'de' => 'దె' , 'tA' => 'తా' , 'mau' => 'మౌ' , 'kShL^i' => 'క్షౢ' , 'wau' => 'వౌ' , 'ChRRi' => 'ఛృ' , 'N^L^i' => 'ఙౢ' , 'hee' => 'హే' , 'baa' => 'బా' , 'phii' => 'ఫీ' , 'chu' => 'చు' , 'Dii' => 'డీ' , 'TR^I' => 'టౄ' , 'Sha' => 'ష' , 'NA' => 'ణా' , 'mu' => 'ము' , 'je' => 'జె' , 'shhLLi' => 'షౢ' , 'hii' => 'హీ' , 'pau' => 'పౌ' , 'shi' => 'శి' , 'jhL^I' => 'ఝౣ' , 'RLLI' => 'ఱౣ' , 'mL^I' => 'మౣ' , 'Lu' => 'ళు' );

sub itrans {
	my ($self, $input) = @_;
    $input =~ s/(##.*##|$re)/exists($trans{$1}) ? $trans{$1} : $1/ge;
    return $input;
}

1;
__END__
=encoding utf-8

=head1 NAME

Telugu::Itrans - Itrans transliteration

=head1 SYNOPSIS

  use Telugu::Itrans;
  use utf8;
  binmode STDOUT, ":encoding(UTF-8)";

  my $itrans = Telugu::Itrans->new();
  print $itrans->itrans('raajkumaarreDDi');


=head1 DESCRIPTION

It provides one function, itrans.

=head1 AUTHOR

Rajkumar Reddy, mesg.raj@outlook.com

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2019 by Rajkumar Reddy

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.26.1 or,
at your option, any later version of Perl 5 you may have available.


=cut
